#!perl

use strict;
use warnings;

use FindBin;
use lib "$FindBin::Bin/lib";
use Test::More tests => 3;
use Catalyst::Test 'PluginTestApp';

our $STATE = "$FindBin::Bin/lib/TestApp/scheduler.state";
our $BASE  = 'Catalyst::Plugin::Scheduler::Base';

# hack the last event check to make all events execute immediately
$BASE->_last_check_time( 0 );

# test that the plugin event executes
{
    ok( my $res = request('http://localhost/'), 'request ok' );
    is( $res->content, 'default', 'response ok' );
    is( -e "$FindBin::Bin/lib/TestApp/plugin_test.log", 1, 'every_minute executed ok' );
    unlink "$FindBin::Bin/lib/TestApp/plugin_test.log";
}

